diff --git a/src/backend/access/tablesample/tablesample.c b/src/backend/access/tablesample/tablesample.c
index 44a2434..9d443b1 100644
--- a/src/backend/access/tablesample/tablesample.c
+++ b/src/backend/access/tablesample/tablesample.c
@@ -113,11 +113,13 @@ tablesample_init(SampleScanState *scanstate, TableSampleClause *tablesample)
 		if (argstate == NULL)
 		{
 			fcinfo.argnull[i] = true;
-			fcinfo.arg[i] = (Datum) 0;;
+			fcinfo.arg[i] = (Datum) 0;
+		}
+		else
+		{
+			fcinfo.arg[i] = ExecEvalExpr(argstate, econtext,
+										 &fcinfo.argnull[i], NULL);
 		}
-
-		fcinfo.arg[i] = ExecEvalExpr(argstate, econtext,
-									 &fcinfo.argnull[i], NULL);
 		i++;
 	}
 	Assert(i == fcinfo.nargs);
